java.lang.Error: Incompatible version of libocijdbc[Jdbc:112030, Jdbc-OCI:112020

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Samebug tips

,
Expert tip

This is probably due to a version mismatch of the drivers of Oracle 11g XE R2 JDBC drivers. The solution is to download the right version of ojdbc6dms.jar and ojdbc6.jar files from Oracle Website.

Solutions on the web

via Oracle Community by ha*412974*m1, 1 year ago
Incompatible version of libocijdbc[Jdbc:112030, Jdbc-OCI:112020
via Stack Overflow by Manmohan_singh
, 1 week ago
Incompatible version of libocijdbc[Jdbc:121020, Jdbc-OCI:121010
via Oracle Community by 88b7b024-08d3-4c1a-b1f8-64c018510a3c, 1 year ago
Incompatible version of libocijdbc[Jdbc:112020, Jdbc-OCI:112030
via superuser.com by Unknown author, 6 months ago
Incompatible version of libocijdbc[Jdbc:112030, Jdbc-OCI:112020
via Oracle Community by 84e45717-06df-499e-a789-5312b7434a74, 1 year ago
Incompatible version of libocijdbc[Jdbc:112030, Jdbc-OCI:112020
via Super User by enigmaticus
, 10 months ago
Incompatible version of libocijdbc[Jdbc:112030, Jdbc-OCI:112020
java.lang.Error: Incompatible version of libocijdbc[Jdbc:112030, Jdbc-OCI:112020
at oracle.jdbc.driver.T2CConnection$1.run(T2CConnection.java:3554)

Users with the same issue

Samebug visitor profile picture
Unknown user
Once, 1 year ago

Know the solutions? Share your knowledge to help other developers to debug faster.